### Function

# Clutter Color from_hls

#### Declaration [src]

    void
    clutter_color_from_hls (
      ClutterColor* color,
      gfloat hue,
      gfloat luminance,
      gfloat saturation
    )

#### Description [src]

Converts a color expressed in HLS (hue, luminance and saturation) values into a `ClutterColor`.

#### Parameters

`color`

  Type: `ClutterColor`

  Return location for a `ClutterColor`.

  The argument will be set by the function.
  The returned data is owned by the function.

`hue`

  Type: `gfloat`

  Hue value, in the 0 .. 360 range.

`luminance`

  Type: `gfloat`

  Luminance value, in the 0 .. 1 range.

`saturation`

  Type: `gfloat`

  Saturation value, in the 0 .. 1 range.